%define module  Net-Radius
%define name    perl-%{module}
%define version 1.56
%define release %mkrel 4

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Object-oriented Perl interface to RADIUS
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Net/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:  perl-devel
%endif
Buildrequires:  perl(Test::Warn)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
The modules included here provide an interface to the RADIUS
protocol. It consists of the following modules:

Net::Radius::Packet - Deals with RADIUS packets
Net::Radius::Dictionary - Deals with RADIUS dictionaries

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README* examples
%{perl_vendorlib}/Net
%{_mandir}/*/*



%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.56-4mdv2009.0
+ Revision: 258086
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.56-3mdv2009.0
+ Revision: 246165
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.56-1mdv2008.1
+ Revision: 140693
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jul 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.56-1mdv2008.0
+ Revision: 47700
- update to new version 1.56

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 1.55-1mdv2008.0
+ Revision: 20323
- 1.55


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.49-1mdv2007.0
- New version 1.49
- spec cleanup

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.44-2mdk
- Fix SPEC according to Perl Policy
    - Source URL
- use mkrel

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.44-1mdk
- initial Mandriva package

